JBoss API: Class AutoDeployer

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.deployment
Class AutoDeployer

    java.lang.Object
      |
      +--javax.management.NotificationBroadcasterSupport
            |
            +--org.jboss.util.ServiceMBeanSupport
                  |
                  +--org.jboss.deployment.AutoDeployer

All Implemented Interfaces:
  AutoDeployerMBean, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, java.lang.Runnable, Service, ServiceMBean

Direct Known Subclasses:
  AutoDeployer

public class AutoDeployer
extends ServiceMBeanSupport
implements AutoDeployerMBean, java.lang.Runnable

The AutoDeployer is used to automatically deploy applications or components thereof.

It can be used on either .jar or .xml files. The AutoDeployer can be configured to "watch" one or more files. If they are updated they will be redeployed.

If it is set to watch a directory instead of a single file, all files within that directory will be watched separately.

When a file is to be deployed, the AutoDeployer will use the configured deployer to deploy it.

Version:
  $Revision: 1.7.2.2 $
Author:
  Rickard Öberg (rickard.oberg@telkel.com), Toby Allsopp (toby.allsopp@peace.com), Scott.Stark@jboss.org
See Also:
  `J2eeDeployer`

Fields inherited from class org.jboss.util.ServiceMBeanSupport
`log, server`

Fields inherited from interface org.jboss.deployment.AutoDeployerMBean
`OBJECT_NAME`

Fields inherited from interface org.jboss.util.ServiceMBean
`STARTED, STARTING, states, STOPPED, STOPPING`

Constructor Summary
`AutoDeployer()`
`AutoDeployer(java.lang.String urlList)`
`AutoDeployer(java.lang.String _namedDeployer, java.lang.String urlList)`

Method Summary
`protected void` | `deploy(java.lang.String url, javax.management.ObjectName deployerName)`
`java.lang.String` | `getDeployers()`
`java.lang.String` | `getName()`
`protected javax.management.ObjectName` | `getObjectName(javax.management.MBeanServer server, javax.management.ObjectName name)`
`int` | `getTimeout()` Gets the Timeout attribute of the AutoDeployer object
`java.lang.String` | `getURLs()`
`void` | `run()`
`void` | `setDeployers(java.lang.String deployers)`
`void` | `setTimeout(int to)` Sets the Timeout attribute of the AutoDeployer object
`void` | `setURLs(java.lang.String urlList)`
`protected void` | `startService()`
`protected void` | `stopService()`
`protected void` | `undeploy(java.lang.String url, javax.management.ObjectName deployerName)`

Methods inherited from class org.jboss.util.ServiceMBeanSupport
`destroy, destroyService, getServer, getState, getStateString, init, initService, nextSequenceNumber, postDeregister, postRegister, preDeregister, preRegister, start, stop`

Methods inherited from class javax.management.NotificationBroadcasterSupport
`addNotificationListener, getNotificationInfo, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.util.ServiceMBean
`getState, getStateString`

Methods inherited from interface org.jboss.util.Service
`destroy, init, start, stop`

Constructor Detail

### AutoDeployer

    public AutoDeployer()

### AutoDeployer

    public AutoDeployer(java.lang.String urlList)

### AutoDeployer

    public AutoDeployer(java.lang.String _namedDeployer,
                        java.lang.String urlList)

Method Detail

### setURLs

    public void setURLs(java.lang.String urlList)

  Specified by:
    `setURLs` in interface `AutoDeployerMBean`

### getURLs

    public java.lang.String getURLs()

  Specified by:
    `getURLs` in interface `AutoDeployerMBean`

### getTimeout

    public int getTimeout()

  Gets the Timeout attribute of the AutoDeployer object
  Specified by:
    `getTimeout` in interface `AutoDeployerMBean`
  Returns:
    The Timeout value

### setTimeout

    public void setTimeout(int to)

  Sets the Timeout attribute of the AutoDeployer object
  Specified by:
    `setTimeout` in interface `AutoDeployerMBean`
  Parameters:
    `to` - The new Timeout value

### setDeployers

    public void setDeployers(java.lang.String deployers)

  Specified by:
    `setDeployers` in interface `AutoDeployerMBean`

### getDeployers

    public java.lang.String getDeployers()

  Specified by:
    `getDeployers` in interface `AutoDeployerMBean`

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `ServiceMBean`
  Overrides:
    `getName` in class `ServiceMBeanSupport`

### getObjectName

    protected javax.management.ObjectName getObjectName(javax.management.MBeanServer server,
                                                        javax.management.ObjectName name)
                                                 throws javax.management.MalformedObjectNameException

  Overrides:
    `getObjectName` in class `ServiceMBeanSupport`

### startService

    protected void startService()
                         throws java.lang.Exception

  Overrides:
    `startService` in class `ServiceMBeanSupport`

### stopService

    protected void stopService()

  Overrides:
    `stopService` in class `ServiceMBeanSupport`

### deploy

    protected void deploy(java.lang.String url,
                          javax.management.ObjectName deployerName)
                   throws java.lang.Exception

### undeploy

    protected void undeploy(java.lang.String url,
                            javax.management.ObjectName deployerName)
                     throws java.lang.Exception

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.